For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Storefront
      • Management
        • Overview
          • Addresses
          • Authentication
          • Channels
          • Company
          • Invoice Management
          • Orders
          • Payment
          • Quotes
            • GETList Quotes
            • POSTCreate Quote
            • GETList B2B Quote Custom Shipping Methods
            • POSTSend Quote Email
            • GETList Quote Extra Fields Configs
            • GETGet Quote Details
            • PUTUpdate Quote
            • DELDelete Quote
            • POSTGenerate Cart and Checkout URL for Quote
            • POSTAssign Quote to BigCommerce Order
            • POSTExport Quote PDF
            • PUTSelect Shipping Rate for Quote
            • DELRemove Selected Shipping Rate from Quote
            • GETGet Available Shipping Rates for Quote
          • Sales Staff
          • Shopping List
          • Super Admin
          • Users
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTB2BManagementQuotes

Get Available Shipping Rates for Quote

GET
https://api-b2b.bigcommerce.com/api/v3/io/rfq/:quote_id/shipping-rates
GET
/api/v3/io/rfq/:quote_id/shipping-rates
$curl https://api-b2b.bigcommerce.com/api/v3/io/rfq/123456/shipping-rates \
> -H "X-Auth-Token: <apiKey>"
1{
2 "code": 200,
3 "data": [
4 {
5 "shippingMethodId": "1725",
6 "type": "custom",
7 "description": "LTL - With Lift Gate",
8 "cost": 175.95
9 }
10 ],
11 "meta": {
12 "message": "SUCCESS"
13 }
14}
Retrieves all shipping rates available to a specific quote based on the provided `quoteId`. This endpoint only returns the static and real-time shipping methods available to a quote based on its product specifications and shipping address. Use the [Get All B2B Quote Custom Shipping Methods](#get-rfq-quote_id-custom-shipping) endpoint to retrieve information on custom shipping methods. <Warning>This endpoint uses `/shipping-rates` (plural). Don't confuse it with the [Select Shipping Rate for Quote](#rfq-quote_id-select-shipping-rate) and [Remove Selected Shipping Rate from Quote](#rfq-quote_id-delete-shipping-rate) endpoints, which use `/shipping-rate` (singular). Using the wrong URL returns a **405 - Method Not Allowed** error.</Warning>
Was this page helpful?
Previous

Remove Selected Shipping Rate from Quote

Next

Sales Staff

Built with

Retrieves all shipping rates available to a specific quote based on the provided quoteId.

This endpoint only returns the static and real-time shipping methods available to a quote based on its product specifications and shipping address. Use the Get All B2B Quote Custom Shipping Methods endpoint to retrieve information on custom shipping methods.

This endpoint uses /shipping-rates (plural). Don’t confuse it with the Select Shipping Rate for Quote and Remove Selected Shipping Rate from Quote endpoints, which use /shipping-rate (singular). Using the wrong URL returns a 405 - Method Not Allowed error.

Authentication

X-Auth-Tokenstring
HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

X-Store-Hashstring
HeaderArgumentDescription
X-Store-Hashstore_hashThe unique store hash associated with a BigCommerce store that has B2B Edition enabled.

Path parameters

quote_idintegerRequired
The internal numeric ID of the sales quote.

Response

OK
codeintegerDefaults to 200
HTTP Response Code
datalist of objects
metaobject

Errors

404
Not Found Error